cmake_minimum_required(VERSION 3.30)
project(hardwareDB VERSION 0.0.1)
# set(SOURCE_FILES main.cpp)

# find_package(SQLite3) # This is used when building against the system library target_link_libraries below

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/lists)

add_executable(${PROJECT_NAME} src/main.cpp)
# target_link_libraries(${PROJECT_NAME} SQLite::SQLite3) # This targets the system sqlite3

add_subdirectory(lib) #This will build the sqlite3 lib from source


